classification
Title: Document that time.tzset updates time module globals
Type: Stage: resolved
Components: Documentation Versions: Python 3.7, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Mariatta, belopolsky, docs@python, gbengeult, lisroach, python-dev
Priority: normal Keywords: easy, patch

Created on 2016-09-13 16:01 by belopolsky, last changed 2017-01-12 20:06 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
tzset_doc.patch lisroach, 2016-10-18 16:58 review
tzset_rst.patch gbengeult, 2017-01-12 17:56 review
tzset_rst_27.patch gbengeult, 2017-01-12 19:38 review
Messages (7)
msg276294 - (view) Author: Alexander Belopolsky (belopolsky) * (Python committer) Date: 2016-09-13 16:01
Reported by MAL in #22798 (msg251840):

"The fact that tzset() does update the module globals is
not documented."

The documentation should explicitly list timezone, daylight, altzone and tzname as the globals that are updated when time.tzset() is called.
msg278911 - (view) Author: Lisa Roach (lisroach) * (Python committer) Date: 2016-10-18 16:58
Will this simple update be enough? Or should more documentation be added for clarification?
msg285337 - (view) Author: Greg Bengeult (gbengeult) * Date: 2017-01-12 17:56
How about this documentation patch for tzset()? Most of the verbiage comes from the Linux tzset() man page. I can also generate a similar patch for 2.7 if it's needed.
msg285340 - (view) Author: Alexander Belopolsky (belopolsky) * (Python committer) Date: 2017-01-12 18:24
Committed in ec3b08b361c0.  Thanks, Greg.

Leaving open until 2.7 docs are fixed as well.
msg285341 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2017-01-12 18:27
New changeset ec3b08b361c0 by Alexander Belopolsky in branch 'default':
Closes #28130: Documented that time.tzset() updates time module globals.
https://hg.python.org/cpython/rev/ec3b08b361c0
msg285343 - (view) Author: Greg Bengeult (gbengeult) * Date: 2017-01-12 19:38
Here's the 2.7 patch.
msg285345 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2017-01-12 20:06
New changeset 8578757cc3a6 by Alexander Belopolsky in branch '2.7':
Closes #28130: Documented that time.tzset() updates time module globals.
https://hg.python.org/cpython/rev/8578757cc3a6
History
Date User Action Args
2017-01-12 20:06:45python-devsetstatus: open -> closed

messages: + msg285345
2017-01-12 19:38:55gbengeultsetfiles: + tzset_rst_27.patch

messages: + msg285343
2017-01-12 18:33:01belopolskysetstatus: closed -> open
2017-01-12 18:27:29python-devsetstatus: open -> closed


messages: + msg285341
nosy: + python-dev
2017-01-12 18:24:40belopolskysetresolution: fixed
stage: resolved
messages: + msg285340
versions: + Python 2.7, - Python 3.6
2017-01-12 17:56:27gbengeultsetfiles: + tzset_rst.patch
versions: + Python 3.7
nosy: + gbengeult

messages: + msg285337
2016-10-18 16:58:40lisroachsetfiles: + tzset_doc.patch

nosy: + lisroach
messages: + msg278911

keywords: + patch
2016-10-03 21:28:32Mariattasetnosy: + Mariatta
2016-09-14 21:59:29belopolskysettitle: Document that time.tzset updates time module constants -> Document that time.tzset updates time module globals
2016-09-13 16:01:46belopolskycreate